net.corda.flows

## Class ValidatingNotaryFlow

- FlowLogic
- - Service
  - - net.corda.flows.ValidatingNotaryFlow

-     public class ValidatingNotaryFlow
      extends Service

  A notary commit flow that makes sure a given transaction is valid before committing it. This does mean that the calling party has to reveal the whole transaction history; however, we avoid complex conflict resolution logic where a party has its input states "blocked" by a transaction from another party, and needs to establish whether that transaction was indeed valid.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.flows.NotaryFlow.Service

      `Service.TransactionParts`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidatingNotaryFlow(Party otherSide, TimestampChecker timestampChecker, UniquenessProvider uniquenessProvider)` A notary commit flow that makes sure a given transaction is valid before committing it. This does mean that the calling party has to reveal the whole transaction history; however, we avoid complex conflict resolution logic where a party has its input states "blocked" by a transaction from another party, and needs to establish whether that transaction was indeed valid.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Service.TransactionParts` | `receiveAndVerifyTx()` The received transaction is checked for contract-validity, which requires fully resolving it into a TransactionForVerification, for which the caller also has to to reveal the whole transaction dependency chain.
    `void` | `validateTransaction(WireTransaction wtx)`

    - ### Methods inherited from class net.corda.flows.NotaryFlow.Service

      `call, getOtherSide, getTimestampChecker, getUniquenessProvider, receiveAndVerifyTx`

    - ### Methods inherited from class net.corda.core.flows.FlowLogic

      `call, getCounterpartyMarker, getLogger, getProgressTracker, getRunId, getServiceHub, getStateMachine, receive, send, sendAndReceive, setStateMachine, subFlow, subFlow, track, waitForLedgerCommit`

- - ### Constructor Detail

    - #### ValidatingNotaryFlow

          public ValidatingNotaryFlow(Party otherSide,
                                      TimestampChecker timestampChecker,
                                      UniquenessProvider uniquenessProvider)

      A notary commit flow that makes sure a given transaction is valid before committing it. This does mean that the calling party has to reveal the whole transaction history; however, we avoid complex conflict resolution logic where a party has its input states "blocked" by a transaction from another party, and needs to establish whether that transaction was indeed valid.

  - ### Method Detail

    - #### receiveAndVerifyTx

          public Service.TransactionParts receiveAndVerifyTx()

      The received transaction is checked for contract-validity, which requires fully resolving it into a TransactionForVerification, for which the caller also has to to reveal the whole transaction dependency chain.

      See Also:
        TransactionForVerification

    - #### validateTransaction

          public void validateTransaction(WireTransaction wtx)